RETEST1='^[0-9]+$'
if ! [[ $ENTROPY_BIT_COUNT1 =~ $RETEST1 ]] ; then
echo "error: Not an integer." >&2; exit 1
fi
# Calculate minimum count of chars needed to encode $ENTROPY_BIT_COUNT1 with alphabet size of $ALPHABET_SIZE as float
RETEST1='^[0-9]+$'
if ! [[ $ENTROPY_BIT_COUNT1 =~ $RETEST1 ]] ; then
echo "error: Not an integer." >&2; exit 1
fi
# Calculate minimum count of chars needed to encode $ENTROPY_BIT_COUNT1 with alphabet size of $ALPHABET_SIZE as float